No iOS 4.3.4 Untethered Jailbreak Coming Anytime Soon

By , Jul 16, 2011

Apple released iOS 4.3.4 yesterday, and as always, the Dev Team was right on it and updated RedSn0w to version 0.9.8 beta 3, which is a tethered jailbreak for iOS 4.3.4 for all devices (except the iPad 2).

Those of you (all of us?) waiting for an untethered jailbreak for iOS 4.3.4 shouldn’t get their hopes too high. As iOS hacker i0n1c mentioned today on Twitter, there probably won’t be an iOS 4.3.4 untether anytime soon…

Apple stepped up their game a bit and is making it harder for hackers to find holes to exploit. Still, you never know what to expect, and we can always hope for an “accidental finding.”

  • Share:
  • Follow:
  • Jimbo

    Why does there need to be 1, there is absolutely no need to ever update to 4.3.4, all it does is fix a security flaw which can be fixed via pdf patcher 2, 4.3.4 provides nothing beneficial and with 4.3.3 being jailbreakable you would have to be extremely stupid and/or naive to update.

    • Jimbo

      With IOS 5 so close it would be a complete waste of time to using any untethered exploit on 4.3.4, that was my point, if anything exists in it and can be found it would be better saved for the sake of 2 months.

      • Myk

        What if u had no choice!, didn’t save shsh blobs, therefore can’t backdate os, a stupid cracked download hung my os4 jailbroken iphone, there was no way I could use it unless I restored to guess which version! Os 4.3.4. I’m stuck with tethered jailbreak no ways round it.

    • Anon

      Well not all people can get PDF Patcher 2 if they don’t have a jailbroken device, so they have to update to 4.3.4 Also, there is another tiny update on 4.3.4 “Re-introduces the ability to cancel and delete apps that are currently downloading”.

      • Craig

        What version are you referring to? Any1 on a firmware below 4.3.4 can jailbreak whether it be 4.2.1, 4.3 or 4.3.3 so why would you update to 4.3.4 if that was the case.

    • Myk

      What if u had no choice!, didn’t save shsh blobs, therefore can’t backdate os, a stupid cracked download hung my os4 jailbroken iphone, there was no way I could use it unless I restored to guess which version! Os 4.3.4. I’m stuck with tethered jailbreak no ways round it. C my point, there’s always a reason…

    • Isaac

      Some people bought new iPhones, but I agree 100% with you… :)

  • http://twitter.com/l0l1dk l0l1dk

    @Jimbo Because if someone buys a new device, it would have 4.3.4 on it.

    • James

      I disagree, everything in the stores are already set and the ipads that were just made all ready shipped so the next on board iOS could very well be 5.0

      • http://rulethenation.com Pukka

        iPhones and iPads will definitely be shipped with the latest IOS and in a couple weeks people will start seeing them in store. iOS 5.0 won’t be out until fall( think late sept/oct )

  • James

    I think the hackers need to rest and take a break! Ignore 4.3.4 and concentrate on 5.0 when it comes out!

    We all should just enjoy 4.3.3.

    And i agree with Jimbo you would have to be pretty stupid to update then ask foe a jailbreak!

    • Lenster

      Nah they shouldn’t mate I want a untethered jailbreak on 4.3.4 really badly before I updated my phone I didn’t really take notice to what version that I was updating it too and I didn’t know that 4.3.4 had patched jailbreaking

  • fx3861

    Quite true..since ios 5 is just around the corner, might as well cooncentrate their outmost energy and limited time on it.

  • http://gmail Tbv

    There is no reason what so ever to update to 4.3.4. The hackers should save any exploit they may have to be used in IOS 5.0 and rest for now. Anyone who “accidentally” updated to 4.3.4 will have to sit tight and use the tethered jailbreak for no.

    • http://w Lenster

      Nah they shouldn’t mate I want a untethered jailbreak on 4.3.4 really badly before I updated my phone I didn’t really take notice to what version that I was updating it too and I didn’t know that 4.3.4 had patched jailbreakin

  • DomPerignon

    If you are one of the MORONS that updated to iOS 4.3.4 “accidentally” you have to use the tethered jailbreak, if you are not one of them, then stay with iOS 4.3.3 until iOS 5.0 and try not to become one.
    As Tbv said: “There is no reason what so ever to update to 4.3.4.” and of course hackers are not going to waste time and energy working on iOS 4.3.4 when iOS 5.0 it’s just a few weeks away.

    • lenster

      omg just because your all happy with your jailbreak you think of yourself and you call everyone that ACCIDENTALLY can you read that ACCIDENTALLY updated to 4.3.4 and we want a jailbreak, hackers found a untethered jailbreak for every other version so why not this one…………yer i know they have patched it but still what if you accidentally updated it like us “MORONS” you wouldn’t be saying that then would ya ……. ahahahahahaha

  • SimonOrJ

    Apple’s STILL signing iOS 4.3.3. I just updated it by downloading the iPod Touch 4 – 4.3.3 firmware…

  • Sofakingstoked

    Confirmed Gevey Pro SIM still unlocks the 4.3.4 baseband. No jailbreak necessary. Thank god!

  • Telejeesus

    I have 4.3.3 and I need to “reset” my phone, coz Cydia dont work properly etc.. etc..
    So I need to install all my tweaks one by one(My PKGBackup image that I used last time 4.2->4.3.3 is “corrupted” or it has something fuck up. So it is easier to install all from get-go)
    So how I can keep my iOS 4.3.3 when I reset my phone(and restore) from iTunes ???
    PLEASE HELP ME :-) (One can email me katso.itunes(at)gmail.com) THANKS

    • SimonOrJ

      DON’T RESET.
      Plug in your iDevice onto your Computer and open iTunes. Right-click your iDevice tab (which is on the left sidebar) and choose “Restore from Backup…”. I’m guessing that won’t upgrade your iDevice to 4.3.4, but if it do, then cancel restoring from Backup.
      By the way, uninstall “PDF Patch” whatever package from Cydia first if you installed it. -.-

    • Ibs casandra

      What’s the baseband you on. Because I am on 4.3.4 of 04.10.01 and gevey not doing the job.

  • christine

    i really dislike apple for trying to stop jailbreaking android has more freedom anyways apple is just crippling their system more than it already is im on the android team apple thats a fail for you.

  • Bryan

    i just got a new ipod touch 3rd gen. off of the internet, and the guy who owned it b4 restored it to factory settings, which updated it to 4.3.4 and after some research and trying to downgrade to 4.3.3 or lower, i was pretty upset cuz i didnt get to jailbreak it.

    also, wouldnt it make sense that ios 5.0 would also have security patch(anti-jailbreakability) that 4.3.4 has? so spending time now( on 4.3.4) or later (on 5.0) wouldnt make a difference. yes, 5.0 security patch may be more advanced, might not be. maybe apple thinks they’ve “terminated” hackers with the new 4.3.4 security and dont need to improve it anymore. u never know.

    i just want to tell those ppl out there that it couldnt hurt to work on 4.3.4 while waiting for 5.0 or else they’re just sit there and do nothing, which wont help.
    i dont know how hard it is to those hackers out there. i dont know how to do it, but i hope somebody does cuz i dun like paying for my apps

    • Telejeesus

      So you just don’t LIKE to pay your apps LOL :-D
      What if developers don’t LIKE to make the apps coz ppl are not paying?

  • ashley

    sucks cause the ipod i bought yesterday has is 4.3.4 :( all well though at least it sumthing..

  • http://tylerpri123.co.cc tylerpri123

    You can downgrade the hard way get iOS 5 then shift click it on iTunes to 4.3.3.